# Minecraft Tools ⛏️

A mobile application built with Expo, providing essential tools for Minecraft players. This app includes a Nether portal calculator, a to-do list, a coordinate saver, and an MOTD creator.

## Features ✨

*   **Nether Portal Calculator:** Calculate precise Nether portal coordinates based on Overworld locations.
*   **To-Do List:** Manage in-game tasks and objectives.
*   **Coordinate Saver:** Save and retrieve important in-game coordinates with custom names.
*   **MOTD Creator:** Generate formatted Messages of the Day for Minecraft servers.

## Installation 🚀

To get started with Minecraft Tools, follow these steps:

### Prerequisites ✅

Ensure you have Node.js and npm installed on your system. If not, download and install them from the official Node.js website: [https://nodejs.org/](https://nodejs.org/).

### Steps 🪜

1.  **Clone the repository:**

    ```bash
    git clone https://code.kjelsrud.dev/sidski/minecraft-tools.git
    ```

2.  **Navigate to the project directory:**

    ```bash
    cd minecraft-tools
    ```

3.  **Install dependencies:**

    ```bash
    npm install
    ```

4.  **Start the application:**

    ```bash
    npx expo start
    ```

    This command will provide options to open the app in a development build, Android emulator, iOS simulator, or Expo Go.

## Development 🛠️

The project uses file-based routing. You can start developing by editing the files inside the `app` directory.

### Reset Project 🧹

To reset the project to a blank state, run:

```bash
npm run reset-project
```

This command moves the starter code to the `app-example` directory and creates a blank `app` directory.

## License 📜

This project is licensed under the [MIT License](LICENSE).